> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Domain Verifications

> Lists and monitors domain verification status across an organization.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Lists and monitors domain verification status across an organization.

Use this method to:

* Track verification progress
* View all verified domains
* Monitor pending verifications
* Audit domain settings

### Examples

* List all verifications:

  Shows all domain verifications regardless of status.

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  pagination:
    pageSize: 20
  ```

* List with pagination:

  Retrieves next page of verifications.

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  pagination:
    pageSize: 20
    token: "next-page-token-from-previous-response"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/ListDomainVerifications
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/ListDomainVerifications" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "organizationId": "<organization-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.ListDomainVerificationsRequest(
      organization_id="<organization-id>",
  )
  response = ona.services.organization.list_domain_verifications(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { ListDomainVerificationsRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(ListDomainVerificationsRequestSchema, {
      organizationId: "<organization-id>",
    });
    const response = await ona.services.organization.listDomainVerifications(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.ListDomainVerificationsRequest{
  		OrganizationId: "<organization-id>",
  	})
  	response, err := ona.Services.Organization.ListDomainVerifications(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "organizationId": "<organization-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.ListDomainVerificationsRequest`

| Field            | Type                                                    | Required | Description                                     |
| ---------------- | ------------------------------------------------------- | -------- | ----------------------------------------------- |
| `organizationId` | string                                                  | Yes      | Constraints: `required=true, string.uuid=true`. |
| `pagination`     | [PaginationRequest](#type-gitpod-v1-pagination-request) | No       |                                                 |

## Response

`gitpod.v1.ListDomainVerificationsResponse`

| Field                 | Type                                                               | Required | Description                   |
| --------------------- | ------------------------------------------------------------------ | -------- | ----------------------------- |
| `domainVerifications` | array of [DomainVerification](#type-gitpod-v1-domain-verification) | No       |                               |
| `pagination`          | [PaginationResponse](#type-gitpod-v1-pagination-response)          | Yes      | Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-domain-verification" />

<Accordion title="DomainVerification">
  `gitpod.v1.DomainVerification`

  | Field               | Type                                                                 | Required | Description                                                         |
  | ------------------- | -------------------------------------------------------------------- | -------- | ------------------------------------------------------------------- |
  | `id`                | string                                                               | Yes      | Constraints: `required=true, string.uuid=true`.                     |
  | `organizationId`    | string                                                               | Yes      | Constraints: `required=true, string.uuid=true`.                     |
  | `domain`            | string                                                               | Yes      | Constraints: `required=true, string.max_len=253, string.min_len=4`. |
  | `state`             | [DomainVerificationState](#enum-gitpod-v1-domain-verification-state) | Yes      | Constraints: `required=true`.                                       |
  | `verifiedAt`        | RFC 3339 timestamp                                                   | No       |                                                                     |
  | `verificationToken` | string                                                               | No       |                                                                     |
  | `createdAt`         | RFC 3339 timestamp                                                   | No       |                                                                     |
</Accordion>

<a id="type-gitpod-v1-pagination-request" />

<Accordion title="PaginationRequest">
  `gitpod.v1.PaginationRequest`

  | Field      | Type    | Required | Description                                                                                                                              |
  | ---------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
  | `pageSize` | integer | No       | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: `int32.gte=0, int32.lte=100`. |
  | `token`    | string  | No       | Token for the next set of results that was returned as next\_token of a PaginationResponse                                               |
</Accordion>

<a id="type-gitpod-v1-pagination-response" />

<Accordion title="PaginationResponse">
  `gitpod.v1.PaginationResponse`

  | Field       | Type   | Required | Description                                                                             |
  | ----------- | ------ | -------- | --------------------------------------------------------------------------------------- |
  | `nextToken` | string | No       | Token passed for retrieving the next set of results. Empty if there are no more results |
</Accordion>

<a id="enum-gitpod-v1-domain-verification-state" />

<Accordion title="DomainVerificationState">
  | Value                                   | Number | Description |
  | --------------------------------------- | -----: | ----------- |
  | `DOMAIN_VERIFICATION_STATE_UNSPECIFIED` |      0 |             |
  | `DOMAIN_VERIFICATION_STATE_PENDING`     |      1 |             |
  | `DOMAIN_VERIFICATION_STATE_VERIFIED`    |      2 |             |
</Accordion>
